Package org.springframework.context.support

# Class EmbeddedValueResolutionSupport

java.lang.Object
org.springframework.context.support.EmbeddedValueResolutionSupport

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `EmbeddedValueResolverAware`

Direct Known Subclasses:
  `DateTimeFormatAnnotationFormatterFactory`, `DurationFormatAnnotationFormatterFactory`, `Jsr310DateTimeFormatAnnotationFormatterFactory`, `Jsr354NumberFormatAnnotationFormatterFactory`, `NumberFormatAnnotationFormatterFactory`

public class EmbeddedValueResolutionSupport extends Object implements EmbeddedValueResolverAware
Convenient base class for components with a need for embedded value resolution (i.e. `EmbeddedValueResolverAware` consumers).

Since:
  4.1
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`EmbeddedValueResolutionSupport()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`resolveEmbeddedValue(String value)`
Resolve the given embedded value through this instance's `StringValueResolver`.
`void`
`setEmbeddedValueResolver(org.springframework.util.StringValueResolver resolver)`
Set the StringValueResolver to use for resolving embedded definition values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedValueResolutionSupport

public EmbeddedValueResolutionSupport()

## Method Details

### setEmbeddedValueResolver

public void setEmbeddedValueResolver(org.springframework.util.StringValueResolver resolver)
Description copied from interface: `EmbeddedValueResolverAware`
Set the StringValueResolver to use for resolving embedded definition values.

Specified by:
  `setEmbeddedValueResolver` in interface `EmbeddedValueResolverAware`

### resolveEmbeddedValue

@Nullable protected String resolveEmbeddedValue(String value)
Resolve the given embedded value through this instance's `StringValueResolver`.

Parameters:
  `value` - the value to resolve
Returns:
  the resolved value, or always the original value if no resolver is available
See Also:
  - `setEmbeddedValueResolver(org.springframework.util.StringValueResolver)`